import java.awt.Canvas;

public class Class222_Sub6 extends Class222 {

   int anInt8843;
   int anInt8844;
   int anInt8845;
   int anInt8846;
   int anInt8847;
   int anInt8848;
   String aString8849;


   static final void method14226(Class508 var0, byte var1) {
      var0.anInt6003 -= 196624946;
      if(var0.anIntArray6027[var0.anInt6003 * -937710807] != var0.anIntArray6027[-937710807 * var0.anInt6003 + 1]) {
         if(var1 != 8) {
            return;
         }

         var0.anInt6025 += var0.anIntArray6023[1651565071 * var0.anInt6025] * 2029505775;
      }

   }

   static void method14227(Class508 var0, byte var1) {
      var0.anIntArray6027[-937710807 * var0.anInt6003 - 2] = Class453.aClass511_5677.method10849(var0.anIntArray6027[-937710807 * var0.anInt6003 - 2], -403273650).anIntArrayArray6055[var0.anIntArray6027[-937710807 * var0.anInt6003 - 1]][1];
      var0.anInt6003 -= 98312473;
   }

   static Class151_Sub2_Sub3 method14228(Class545_Sub3 var0, Canvas var1, int var2, int var3, byte var4) {
      Class151_Sub2_Sub3_Sub1 var5 = new Class151_Sub2_Sub3_Sub1(var0, var1, var2, var3);
      return var5;
   }
}
